Embedding PaperCut Web Pages in your site

KB Home   |   Embedding PaperCut Web Pages in your site

Main.IframeEmbed History

Hide minor edits - Show changes to output

November 11, 2014, at 04:55 PM by TimG - Added link to config editor
Changed lines 18-19 from:
If the configuration key @@auth.allow-iframe-embed@@ is set otherwise, PaperCut will disable `IFrame embedding.
to:
If the configuration key @@auth.allow-iframe-embed@@ is set otherwise, PaperCut will disable `IFrame embedding. The configuration key can be set using the [[https://www.papercut.com/products/ng/manual/sys-mgmt-config-editor.html|Config Editor]]
October 19, 2014, at 11:32 PM by 203.222.91.204 -
Changed lines 22-24 from:
PaperCut versions 14.1 (build 2698) and 14.2 (all builds) do not allow `iframe embedding. If you are running one of these builds, please update to version 14.3 or later.

to:
PaperCut versions 14.1 (build 26983) and 14.2 (all builds) do not allow `iframe embedding. If you are running one of these builds, please update to version 14.3 or later.

October 15, 2014, at 10:11 PM by 203.222.91.204 -
Changed lines 20-21 from:
We recommend embedding pages with caution, as the use of iframes can cause security vulnerabilities.
to:
We recommend embedding pages with caution, as the use of iframes may cause security vulnerabilities.
October 15, 2014, at 10:11 PM by 203.222.91.204 -
Changed lines 5-6 from:
Link to admin, user or reports pages via the following URL's:
to:
PaperCut web pages can be embedded using `iframes (@@<iframe>@@). Link to admin, user or reports pages via the following URL's:
Changed lines 15-16 from:
PaperCut web pages can be embedded using `IFrames (@@<iframe>@@) however as this can cause security vulnerabilities, this practice should generally be avoided.
to:
Changed lines 20-22 from:
PaperCut versions 14.1 (build 2698) and 14.2 (all builds) do not allow `IFrame embedding. If you are running one of these builds, please update to version 14.3 or later.

to:
We recommend embedding pages with caution, as the use of iframes can cause security vulnerabilities.

PaperCut versions 14.1 (build 2698) and 14.2 (all builds) do not allow `iframe
embedding. If you are running one of these builds, please update to version 14.3 or later.

Changed line 26 from:
[-Keywords:embed, iframe-]
to:
[-Keywords:embed, embedding, iframe-]
October 15, 2014, at 10:08 PM by 203.222.91.204 -
Changed lines 3-4 from:
It is a simple matter to link to the PaperCut web pages from your intranet portal.  You can link to them using the following URL's:
to:
When your organization needs access to PaperCut from within your intranet site, v14.3 enables inline frame (iframe) placement.

Link to admin, user or reports pages via
the following URL's:
September 30, 2014, at 05:55 AM by 203.222.91.204 -
Changed lines 13-21 from:
PaperCut web pages can be embedded using IFrames (@@<iframe>@@) however as this can cause security vulnerabilities, this practice should generally be avoided.

The 14.3 release provides a configuration key @@auth.allow-iframe-embed@@ to control whether IFrame embedding is permitted.  Set this value to '''Y''' to enable IFrame embedding.

If the configuration key @@auth.allow-iframe-embed@@ is set otherwise, PaperCut will disable IFrame embedding.

PaperCut versions 14.1 (build 2698) and 14.2 (all builds) do not allow IFrame embedding. If you are running one of these builds, please update to version 14.3 or later.

to:
PaperCut web pages can be embedded using `IFrames (@@<iframe>@@) however as this can cause security vulnerabilities, this practice should generally be avoided.

The 14.3 release provides a configuration key @@auth.allow-iframe-embed@@ to control whether `IFrame embedding is permitted.  Set this value to '''Y''' to enable `IFrame embedding.

If the configuration key @@auth.allow-iframe-embed@@ is set otherwise, PaperCut will disable `IFrame embedding.

PaperCut versions 14.1 (build 2698) and 14.2 (all builds) do not allow `IFrame embedding. If you are running one of these builds, please update to version 14.3 or later.

September 30, 2014, at 05:55 AM by 203.222.91.204 -
Changed lines 13-17 from:
Some customers wish to go one step further and embed the PaperCut web page inside their own page using an @@<iframe>@@.
As of Release 14.1 build 2698 this is no longer permitted for security reasons.  @@<iframe>@@'s are a known security vulnerability and current best practice is generally to avoid their use.

There are some situations, however, where use of @@<iframe>@@'s remains a good solution.  The 14.3 release will provide a configuration key @@auth.allow-iframe-embed@@ to control whether @@<iframe>@@ embedding is permitted.  Set this value to '''Y''' to enable @@<iframe>@@ embedding.
to:
PaperCut web pages can be embedded using IFrames (@@<iframe>@@) however as this can cause security vulnerabilities, this practice should generally be avoided.

The
14.3 release provides a configuration key @@auth.allow-iframe-embed@@ to control whether IFrame embedding is permitted.  Set this value to '''Y''' to enable IFrame embedding.

If the configuration key @@auth.allow-iframe-embed@@ is set otherwise, PaperCut will disable IFrame embedding.

PaperCut versions 14.1 (build 2698) and 14
.2 (all builds) do not allow IFrame embedding. If you are running one of these builds, please update to version 14.3 or later.

July 29, 2014, at 12:51 AM by geoff - improve formatting, wording
Changed lines 3-5 from:
It is a simple matter to link to the PaperCut web pages from your intranet portal.  You can link using the following URL's:

|| border=1
to:
It is a simple matter to link to the PaperCut web pages from your intranet portal.  You can link to them using the following URL's:

|| border=0, width=100%, bgcolor=#dddddd
Changed lines 13-15 from:
Some customers wish to go one step further and embed the PaperCut web page inside their own page using an <iframe>.
As of Release 14.1 build 2698 this is no longer permitted for security reasons.  However the 14.3 release will provide a configuration key "auth.allow-iframe-embed" to control this behavior.  If you are willing to accept the security risk, you can set this value to Y and <iframe> embedding may be used.
to:
Some customers wish to go one step further and embed the PaperCut web page inside their own page using an @@<iframe>@@.
As of Release 14.1 build 2698 this is no longer permitted for security reasons.  @@<iframe>@@'s are a known security vulnerability and current best practice is generally to avoid their use.

There
are some situations, however, where use of @@<iframe>@@'s remains a good solution.  The 14.3 release will provide a configuration key @@auth.allow-iframe-embed@@ to control whether @@<iframe>@@ embedding is permitted.  Set this value to '''Y''' to enable @@<iframe>@@ embedding.
Changed line 19 from:
[-Keywords:embed, iframe-]
to:
[-Keywords:embed, iframe-]
Deleted lines 16-17:
''Categories:'' [[Category.TODOFirstCategory|+]], [[Category.TODOSecondCategoryIfNeeded|+]]
----
Added lines 1-19:
(:title Embedding PaperCut Web Pages in your site:)

It is a simple matter to link to the PaperCut web pages from your intranet portal.  You can link using the following URL's:

|| border=1
||! Target ||! URL ||
|| User web pages  ||  [papercut server]/user ||
|| Admin web pages  ||  [papercut server]/admin ||
|| Central reports  ||  [papercut server]/central-reports ||
|| Release Station || [papercut server]/release ||
|| Web Cashier  ||  [papercut server]/webcashier ||

Some customers wish to go one step further and embed the PaperCut web page inside their own page using an <iframe>.
As of Release 14.1 build 2698 this is no longer permitted for security reasons.  However the 14.3 release will provide a configuration key "auth.allow-iframe-embed" to control this behavior.  If you are willing to accept the security risk, you can set this value to Y and <iframe> embedding may be used.

----
''Categories:'' [[Category.TODOFirstCategory|+]], [[Category.TODOSecondCategoryIfNeeded|+]]
----
[-Keywords:embed, iframe-]

Comments

Share your findings and experience with other PaperCut users. Feel free to add comments and suggestions about this Knowledge Base article. Please don't use this for support requests.

Article last modified on November 11, 2014, at 04:55 PM
Printable View   |   Article History   |   Edit Article